import { http } from '@/api/service/request';
import type { BaseResult, ResultTable } from '@/api/service/types';

/** 账单信息---获取账单信息列表 */
export const fetchGetBillList = (data: any) => {
	// 删除这个请求参数
	delete data.date;
	return http.request<BaseResult<ResultTable>>('get', `bill/noManage/getBillList/${data.currentPage}/${data.pageSize}`, { params: data });
};

/** 账单信息---添加账单信息 */
export const fetchAddBill = (data: any) => {
	return http.request<BaseResult<object>>('post', 'bill/noManage/addBill', { data });
};

/** 账单信息---更新账单信息 */
export const fetchUpdateBill = (data: any) => {
	return http.request<BaseResult<object>>('put', 'bill/noManage/updateBill', { data });
};

/** 账单信息---删除账单信息 */
export const fetchDeleteBill = (data: any) => {
	return http.request<BaseResult<object>>('delete', 'bill/noManage/deleteBill', { data });
};
