import { http } from '@/api/service/request';
import type { BaseResult, ResultTable } from '@/api/service/types';

/** 分类信息---获取分类信息列表 */
export const fetchGetCategoryUserList = (data: any) => {
	return http.request<BaseResult<ResultTable>>('get', `categoryUser/noManage/getCategoryUserList/${data.currentPage}/${data.pageSize}`, { params: data });
};

/** 分类信息---查询当前用户下所有的分类 */
export const fetchGetCategoryUserAllList = () => {
	return http.request<BaseResult<object>>('get', 'categoryUser/noManage/getCategoryUserAllList');
};

/** 分类信息---添加分类信息 */
export const fetchAddCategoryUser = (data: any) => {
	return http.request<BaseResult<object>>('post', 'categoryUser/noManage/addCategoryUser', { data });
};

/** 分类信息---更新分类信息 */
export const fetchUpdateCategoryUser = (data: any) => {
	return http.request<BaseResult<object>>('put', 'categoryUser/noManage/updateCategoryUser', { data });
};

/** 分类信息---删除分类信息 */
export const fetchDeleteCategoryUser = (data: any) => {
	return http.request<BaseResult<object>>('delete', 'categoryUser/noManage/deleteCategoryUser', { data });
};
