export default {
	path: '/financial',
	name: 'Financial',
	redirect: '/financial/bill',
	meta: {
		icon: 'mdi:finance',
		title: 'financialmanagement',
		rank: 37,
	},
	children: [
		// 账单查询
		{
			path: '/financial/bill',
			name: 'Bill',
			component: () => import('@/views/financial/bill/index.vue'),
			meta: {
				icon: 'grommet-icons:money',
				title: 'billManagement',
			},
		},
		// 用户分类
		{
			path: '/financial/categoryUser',
			name: 'CategoryUser',
			component: () => import('@/views/financial/categoryUser/index.vue'),
			meta: {
				icon: 'iconamoon:category',
				title: 'categoryUserManagement',
			},
		},
		// 债务还款计划
		{
			path: '/financial/debtRepaymentPlan',
			name: 'debtRepaymentPlan',
			component: () => import('@/views/financial/debtRepaymentPlan/index.vue'),
			meta: {
				icon: 'iconamoon:category',
				title: 'debtRepaymentPlan',
			},
		},
	],
} satisfies RouteConfigsTable;
